Get ratecard for payment method

get https://app.mk.io/api/v1/organization/paymentMethods/:paymentmethod_id/rateCard

Returns ratecard information for the specified payment method.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

paymentmethod_id string Required format: uuid

Response

200 OK
kindstringOptional
The type of the resource.
metadataobjectRateCardMetadataRequired
Metadata pertaining to creation and last modification of the resource.
Show 4 propertiesHide 4 properties
isPrivateOfferbooleanRequired
Whether this rate card is a private offer to be used by one customer only.
paymentMethodIdstringRequiredformat: uuid
Unique ID for this Payment Method.
productPublicationIdstringRequiredformat: uuid
Unique ID for this Rate Card.
productPublicationNamestringRequired
Name of this Rate Card.
specobjectRateCardSpecRequired
The rate card specification.
Show 2 propertiesHide 2 properties
currencystringRequired
The currency for the prices in the rate card.
rateCardlist of objectsRateCardEntrySchemaRequired
Rate card for this payment method.
Show 3 propertiesHide 3 properties
familystringRequired
The family of the rate card entry.
priceslist of objectsRateCardPriceSchemaRequired
A list of meter prices associated with family and solution.
Show 5 propertiesHide 5 properties
displayNamestring or nullRequired
The display name of the meter.
namestringRequired
Meter name.
pricedoubleRequired
The price per unit for the meter.
skustring or nullRequired
The SKU identifier for the meter.
unitstring or nullRequired
The unit of measurement for the meter.
solutionstringRequired
The solution associated with the rate card entry.

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code